## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class NestedMultiLineRule

    java.lang.Object
      org.eclipse.jface.text.rules.PatternRule
          org.eclipse.jface.text.rules.MultiLineRule
              org.eclipse.datatools.sqltools.sqleditor.internal.sql.NestedMultiLineRule

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IPredicateRule, org.eclipse.jface.text.rules.IRule

    public class NestedMultiLineRule

extends org.eclipse.jface.text.rules.MultiLineRule

Author:
  Hui Cao

Constructor Summary
`NestedMultiLineRule(java.lang.String startSequence, java.lang.String endSequence, org.eclipse.jface.text.rules.IToken token)`
`NestedMultiLineRule(java.lang.String startSequence, java.lang.String endSequence, org.eclipse.jface.text.rules.IToken token, char escapeCharacter)`
`NestedMultiLineRule(java.lang.String startSequence, java.lang.String endSequence, org.eclipse.jface.text.rules.IToken token, char escapeCharacter, boolean breaksOnEOF)`

Method Summary

Methods inherited from class org.eclipse.jface.text.rules.PatternRule
`evaluate, evaluate, getSuccessToken, setColumnConstraint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedMultiLineRule

    public NestedMultiLineRule(java.lang.String startSequence,
                               java.lang.String endSequence,
                               org.eclipse.jface.text.rules.IToken token)

Parameters:
  `startSequence` -
  `endSequence` -
  `token` -

### NestedMultiLineRule

    public NestedMultiLineRule(java.lang.String startSequence,
                               java.lang.String endSequence,
                               org.eclipse.jface.text.rules.IToken token,
                               char escapeCharacter)

Parameters:
  `startSequence` -
  `endSequence` -
  `token` -
  `escapeCharacter` -

### NestedMultiLineRule

    public NestedMultiLineRule(java.lang.String startSequence,
                               java.lang.String endSequence,
                               org.eclipse.jface.text.rules.IToken token,
                               char escapeCharacter,
                               boolean breaksOnEOF)

Parameters:
  `startSequence` -
  `endSequence` -
  `token` -
  `escapeCharacter` -
  `breaksOnEOF` -